import { CID } from "multiformats/cid";
import { Tree, File, HardLink, SoftLink, Links, BaseLink, SimpleLink } from "../types.js";
import { Skeleton, SkeletonInfo, TreeInfo, FileInfo, TreeHeader, FileHeader } from "../protocol/public/types.js";
import { SemVer } from "../versions.js";
import { Metadata, UnixMeta } from "../metadata.js";
export declare const isFile: (obj: any) => obj is File;
export declare const isTree: (obj: any) => obj is Tree;
export declare const isBaseLink: (obj: any) => obj is BaseLink;
export declare const isSimpleLink: (obj: any) => obj is SimpleLink;
export declare const isSoftLink: (obj: any) => obj is SoftLink;
export declare const isSoftLinkDictionary: (obj: any) => obj is Record<string, SoftLink>;
export declare const isSoftLinkList: (obj: any) => obj is SoftLink[];
export declare const isHardLink: (obj: any) => obj is HardLink;
export declare const isLinks: (obj: any) => obj is Links;
export declare const isUnixMeta: (obj: any) => obj is UnixMeta;
export declare const isMetadata: (obj: any) => obj is Metadata;
export declare const isSkeleton: (obj: any) => obj is Skeleton;
export declare const isSkeletonInfo: (val: any) => val is SkeletonInfo;
export declare const isTreeHeader: (obj: any) => obj is TreeHeader;
export declare const isTreeInfo: (obj: any) => obj is TreeInfo;
export declare const isFileHeader: (obj: any) => obj is FileHeader;
export declare const isFileInfo: (obj: any) => obj is FileInfo;
export declare const isCID: (obj: any) => obj is string | CID<unknown, number, number, import("multiformats/cid").Version>;
export declare const isSemVer: (obj: any) => obj is SemVer;
